summaryrefslogtreecommitdiffstats
path: root/debian/ada/gnatgcc
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:22:56 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:22:56 +0000
commit3f472a4e5ca21e3ddb13737473e636b2b11a408a (patch)
tree7db1ab317884b9f6e04b6e13737c1679879cb97a /debian/ada/gnatgcc
parentAdding upstream version 13.2.0. (diff)
downloadgcc-13-3f472a4e5ca21e3ddb13737473e636b2b11a408a.tar.xz
gcc-13-3f472a4e5ca21e3ddb13737473e636b2b11a408a.zip
Adding debian version 13.2.0-10.debian/13.2.0-10debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/ada/gnatgcc')
-rw-r--r--debian/ada/gnatgcc19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/ada/gnatgcc b/debian/ada/gnatgcc
new file mode 100644
index 0000000..9aae5dc
--- /dev/null
+++ b/debian/ada/gnatgcc
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Installed as /usr/bin/$DEB_HOST_GNU_TYPE-gnatgcc
+# and symlinked as /usr/bin/gnatgcc.
+set -Cefu
+
+cat <<EOF
+
+Warning: gnatgcc is deprecated.
+Please call gcc-MAJOR directly.
+For GPR projects, this should be sufficient:
+# gprconfig --batch --config=Ada --config=C,,,,MAJOR
+MAJOR is the output of
+# gnatmake --version | sed 's/.* \([0-9]\+\).*/\1/;q'
+
+EOF
+
+host=$(basename "$0" | sed 's/gnatgcc$//')
+major=$(${host}gnatmake --version | sed 's/.* \([0-9]\+\).*/\1/;q')
+exec ${host}gcc-$major "$@"